<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Пополнить баланс');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Пополнить баланс</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Пополнить баланс</div>';
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 руб.');
} else {
DB::$dbs->query("INSERT INTO `pay` (`user_id`,`rur`,`time`) VALUES (?,?,?)", [$b['id'],$rur,time()]);
$id = DB::$dbs->lastInsertId();
$prim = $b['id'].'_'.$id;
DB::$dbs->query("UPDATE `pay` SET `prim` = ? WHERE `id` = ?", [$prim,$id]);
echo '<div class="row text_box">Отправьте <b>'.$rur.'р</b> на кошелек <b>R296795093549</b> и в примечаниях укажите <b>Оплата счета '.$prim.'</b> после чего нажмите кнопку "Подтвердить перевод". Баланс будет пополнен в течении 24 часов<br/>Примечания:<br/><input type="text" value="Оплата счета '.$prim.'"/><br/><a href="schet.html?ok='.$id.'">Подтвердить перевод</a></div>';
///Подключаем меню
$title->GetMenu();
///Подключаем футер
$title->GetFooter();
die();
}
}
echo'<div class="row text_box"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="row text_box"><b>Сумма</b> (Принимаются только рубли - WMR):<br/>
<form action="?" method="post"><input name="rur" class="form-control" maxlength="7"/><br /><input type="submit" class="btn btn-primary" name="ok" value="Пополнить"/></form></div>';

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>